# Comments Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/comments/

Schema for the `Comments` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the comment
- **`created_by`** _(object)_
  The user who created the comment
  - **`id`** _(string)_
    The unique identifier for the user
- **`parent`** _(object)_
  The parent of the comment
  - **`id`** _(string)_
    The unique identifier for the parent
  - **`type`** _(string)_
    The type of the parent
- **`body`** _(string)_
  The body of the comment
- **`created_at`** _(string)_
  The date and time the comment was created
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/comments](/docs/api-reference/unified-knowledge-base-api/comments/list) — List Comments
- [GET /unified/knowledge-base/comments/{id}](/docs/api-reference/unified-knowledge-base-api/comments/get) — Get Comments
